Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 136812 - NullPointerException at java.util.StringTokenizer.<init>
NullPointerException at java.util.StringTokenizer.<init>
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Platform
6.x
PC Windows XP
: P1 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@java
http://statistics.netbeans.org/except...
61fixes3-fixed
:
Depends on:
Blocks: 134328
  Show dependency treegraph
 
Reported: 2008-06-09 13:22 UTC by ulfzibis
Modified: 2008-09-04 13:22 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ulfzibis 2008-06-09 13:22:20 UTC
Please resolve this issue before release of NB 6.5.
Working with Subversion client, Files and Favorites view is very hard. :-(
See Issue 134328

-Ulf

Build: NetBeans IDE 6.0.1 (Build 200801291616)
VM: Java HotSpot(TM) Client VM, 10.0-b19
OS: Windows XP, 5.1, x86
User comments: I rightclicked a project node in Files tab just after netbeans application had become visible after launch.
STACKTRACE: (first 10 lines)
java.lang.NullPointerException
        at java.util.StringTokenizer.<init>(StringTokenizer.java:182)
        at java.util.StringTokenizer.<init>(StringTokenizer.java:204)
        at org.netbeans.modules.java.j2seplatform.platformdefinition.Util.createClassPath(Util.java:67)
        at
org.netbeans.modules.java.j2seplatform.platformdefinition.J2SEPlatformImpl.getStandardLibraries(J2SEPlatformImpl.java:228)
        at
org.netbeans.modules.java.platform.classpath.PlatformClassPathProvider.findClassPath(PlatformClassPathProvider.java:80)
        at org.netbeans.api.java.classpath.ClassPath.getClassPath(ClassPath.java:540)
        at org.netbeans.modules.refactoring.java.RetoucheUtils.isOnSourceClasspath(RetoucheUtils.java:335)
        at
org.netbeans.modules.refactoring.java.ui.RefactoringActionsProvider.canRename(RefactoringActionsProvider.java:184)
        at
org.netbeans.modules.refactoring.api.impl.ActionsImplementationFactory.canRename(ActionsImplementationFactory.java:59)
        at org.netbeans.modules.refactoring.spi.impl.RenameAction.enable(RenameAction.java:74)
Comment 1 Tomas Zezula 2008-06-17 14:32:51 UTC
Fixed in: 6e77322db578
Comment 2 ulfzibis 2008-06-17 21:15:30 UTC
Wow, very fast. Well done. :-)

Is it possible to have this fix in the next update for NB 6.1?
Comment 3 Jiri Prox 2008-06-18 07:15:58 UTC
Yes, it possible to have it included in patch3. Please verify the fix. Thanks
Comment 4 rbalada 2008-07-17 11:44:05 UTC
Ulf,

any updates on this issue? I need to see it marked as verified, otherwise I cannot backport the bugfix to 6.1 Patch3.
Comment 5 ulfzibis 2008-07-17 15:24:11 UTC
rbalada,

as I wrote Jun 17, this issue is solved for me for 6.1 dev and M1.

I have waited to verify this issue because of same reason as for issue 134328, which I verified for 6.5 dev, but not for
6.1.

So should I 'verify' before having verified for 6.1 ?
Comment 6 rbalada 2008-07-18 13:48:25 UTC
Ulf,

yes, I need to see it verified in trunk builds before attempting to port it to 6.1 fixes source base. Thank you for
pointing me to your previous comment. I'll mark this issue as VERIFIED FIXED per your comment. This way it gets on our
radar for issues ready for porting into 6.1 fixes source base.

Thanks,
-R
Comment 7 rbalada 2008-07-18 14:12:53 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/6e77322db578 into release61_fixes repository as
http://hg.netbeans.org/release61_fixes/rev/4be3dde1656a


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo